// maybe get rid of logins at startup, have desktop showned and system
// running but if user try anything then they have to authenticate.
#include <cstdlib>
#include <iostream>
//
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <dos.h>

using namespace std;

int main(int argc, char *argv[]) {
int ch, mb = 0;
 
 if keyp ch=getche();
 if moub mb=mouseb();
 if (graphics) {
   drawgif(splash);
   int x,y=0;
   y++;
   findfirst("\\data\*.*");
   while !doserror {
       x+=33;
       if x>480 { y+=33; x=0; }
       gfxy(x,y);
       drawgif(icon);
      findnext(f)
      }
       
  } else {
   // text mode
   if (loggedin) {
    if buffer parsecommand(&buffer);
     } else {
    k=5;
    while (k!=0) {
    printf("\nlogin: ");
    sprintf("",s);
    printf("\npassword: ");
    sprintf("",t);
    x=lookup(s,t);
    loggedin=x;
    if x=0 { k=x; } else { k--; }
    }
    }
 }

    return EXIT_SUCCESS;
}



 
